## org.apache.batik.ext.awt.image.rendered
Interface LRUCache.LRUObj

All Known Implementing Classes:
  TileLRUMember

Enclosing class:
  LRUCache

    public static interface LRUCache.LRUObj

Interface for object participating in the LRU Cache. These inform the object of key events in the status of the object in the LRU cache.

Method Summary
`LRUCache.LRUNode` `lruGet()` Called to get the LRU node for this object.
`void` `lruRemove()` Called to inform the object that it is no longer in the cache.
`void` `lruSet(LRUCache.LRUNode nde)` Called when the object first becomes active in the LRU cache.

Method Detail

### lruSet

    void lruSet(LRUCache.LRUNode nde)

  Called when the object first becomes active in the LRU cache.

  Parameters:
    `nde` - The LRU cache node associated with this object. should be remembered so it can be returned by `lruGet`.

### lruGet

    LRUCache.LRUNode lruGet()

  Called to get the LRU node for this object. Should return the node passed in to lruSet.

### lruRemove

    void lruRemove()

  Called to inform the object that it is no longer in the cache.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.